curl --request GET \
--url https://api.example.com/v1/projects/{projectId}/nodes{
"data": [
{
"id": "<string>",
"nodeType": "<string>",
"title": "<string>",
"structuredData": {},
"positionX": 123,
"positionY": 123,
"width": 123,
"height": 123,
"collapsed": true,
"createdAt": "<string>",
"updatedAt": "<string>"
}
]
}Retrieve all nodes in a project.
curl --request GET \
--url https://api.example.com/v1/projects/{projectId}/nodes{
"data": [
{
"id": "<string>",
"nodeType": "<string>",
"title": "<string>",
"structuredData": {},
"positionX": 123,
"positionY": 123,
"width": 123,
"height": 123,
"collapsed": true,
"createdAt": "<string>",
"updatedAt": "<string>"
}
]
}Show Node object
curl https://api.getkommit.ai/v1/projects/a1b2c3d4-e5f6-7890-abcd-ef1234567890/nodes \
-H "Authorization: Bearer km_your_api_key"
Was this page helpful?